package com.hr.repository.service;


import com.hr.repository.domain.IpLogPO;
import com.hr.vo.IpLogVO;
import org.springframework.data.domain.Page;

/**
 * 接口日志表;(ip_log)表服务接口
 * @author : http://www.yonsum.com
 * @date : 2025-10-10
 */
public interface IpLogService{
    
    /** 
     * 通过ID查询单条数据 
     *
     * @param lid 主键
     * @return 实例对象
     */
    IpLogVO queryById(Long lid);
    
    /**
     * 分页查询
     *
     * @param IpLogPO 筛选条件
     * @param current 当前页码
     * @param size  每页大小
     * @return
     */
    Page<IpLogPO> paginQuery(IpLogPO IpLogPO, Integer current, Integer size);
    /** 
     * 新增数据
     *
     * @param IpLogPO 实例对象
     * @return 实例对象
     */
    void insert(IpLogPO IpLogPO);
    /** 
     * 更新数据
     *
     * @param IpLogPO 实例对象
     * @return 实例对象
     */
    void update(IpLogPO IpLogPO);
    /** 
     * 通过主键删除数据
     *
     * @param lid 主键
     * @return 是否成功
     */
    boolean deleteById(Long lid);
}